Neu 502 Bad Gateway durch JTL Shop 5 Amazon Pay plugin 1.02

marfitec

Sehr aktives Mitglied
10. März 2018
185
32
Hallo zusammen,

seit heute Nacht 4:49 ist unser Shop durch den Fehler "502 Bad Gateway" offline.

Im Apache Log steht:
Code:
** (process:4721): WARNING **: Error loading plugin: /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0: undefined symbol: g_variant_dict_ref

[Tue Feb 16 12:30:37 2021] [notice] AH00052: child pid 4721 exit signal Segmentation fault (11)
Unser Hoster sucht aktuell auch nach Problemen, findet aber nicht wirklich welche.

Gerade haben wir dann mal alle plugins deaktiviert und einzeln aktiviert. Es stellte sich raus, dass das Amazon Pay 1.02 plugin dieses Fehler verursacht. Die Fehleranalyse haben wir für den Shop aktiviert, leider wird aber nichts angezeigt.

Hat jemand eine Idee, wie wir den Fehler suchen können?

Liegt es ehr am Server oder am plugin?

Das Backend war immer erreichbar, genauso wie die Seite selbst. (andere Startseite)

EDIT: Es reicht den Hidden-Button-Modus zu aktivieren, damit der Shop erreichbar ist.

Schöne Grüße
Marcus
 
Zuletzt bearbeitet:

css-umsetzung

Offizieller Servicepartner
SPBanner
6. Juli 2011
4.817
828
Berlin
Habt Ihr solution360 informiert?
Da die 5er Plugins noch sehr neu sind ist es erforderlich das wir Programmierer Informationen bekommen wenn etwas komisch ist.
 

marfitec

Sehr aktives Mitglied
10. März 2018
185
32
Ja, wir haben nun auch Solution260 informiert, da der Hoster nichts gefunden hat und der Fehler immer noch besteht.
 

marfitec

Sehr aktives Mitglied
10. März 2018
185
32
Hat sonst jemand eine Idee dazu?
Bisher kann es sich niemand erklären.

Wenn ich " ?lpa-show-buttons " an die URL hänge, kommt sofort "502 Bad Gateway".

Gehen eigentlich die Historie und die Einstellungen verloren, wenn ich das plugin deinstalliere und wieder installieren?
 

marfitec

Sehr aktives Mitglied
10. März 2018
185
32
Das Problem ist endlich beseitigt.

Solution360 war unschuldig :) Aber sehr fleissig und hilfreich bei der Lösung des Problems! Danke dafür!

Aufgrund eines serverseitigen Updates von Debian 9 auf Debian 10 war noch ein Symlink zu der libglib Library gesetzt, der nun manuell entfernt musste. Dieser sorgte stets für den Fehler und war somit der Auslöser für die Problematik.

Erledigt :)
 
  • Gefällt mir
Reaktionen: hula1499
Ähnliche Themen
Titel Forum Antworten Datum
Neu Fehlermeldung "Bad Login!" bei Shop-Abgleich Onlineshop-Anbindung 7

Ähnliche Themen